io.agora.rtc

## Enum Constants.AnsSuppressionMode

- java.lang.Object
- - java.lang.Enum<Constants.AnsSuppressionMode>
  - - io.agora.rtc.Constants.AnsSuppressionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AnsSuppressionMode>
  Enclosing class:
    Constants

      public static enum Constants.AnsSuppressionMode
      extends java.lang.Enum<Constants.AnsSuppressionMode>

  The ANS noise suppression mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGRESSIVE` Aggressive: High suppression level.
    `EXTREME` Extreme: extreme suppression level.
    `MILD` Mild: Low suppression level
    `MODERATE` Moderate: (Default) Moderate suppression level.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the ANS suppression mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AnsSuppressionMode` | `fromInt(int value)` Converts an integer value to its corresponding AnsSuppressionMode enum constant.
    `int` | `getValue()` Gets the integer value of the AnsSuppressionMode.
    `static Constants.AnsSuppressionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AnsSuppressionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MILD

          public static final Constants.AnsSuppressionMode MILD

      Mild: Low suppression level

    - #### MODERATE

          public static final Constants.AnsSuppressionMode MODERATE

      Moderate: (Default) Moderate suppression level.

    - #### AGGRESSIVE

          public static final Constants.AnsSuppressionMode AGGRESSIVE

      Aggressive: High suppression level.

    - #### EXTREME

          public static final Constants.AnsSuppressionMode EXTREME

      Extreme: extreme suppression level.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the ANS suppression mode

  - ### Method Detail

    - #### values

          public static Constants.AnsSuppressionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AnsSuppressionMode c : Constants.AnsSuppressionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AnsSuppressionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AnsSuppressionMode.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AnsSuppressionMode fromInt(int value)

      Converts an integer value to its corresponding AnsSuppressionMode enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AnsSuppressionMode, or null if the value is not found.